<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar class="de-title">
  <span style="margin-left: 15px;"><h1 class="mat-h1">Experiment Descriptors</h1></span>
</mat-toolbar>
<mat-tab-group [(selectedIndex)]="selectedIndex" class="de-container">
  <mat-tab label="View">
    <div style="padding: 30px;" fxFlex="100%"  fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center">
      <table mat-table class="full-width-table de-table" matSort aria-label="Elements">
        <!-- Id Column -->
        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
          <td mat-cell *matCellDef="let row"><b>{{row.expDescriptorId}}</b></td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
          <td mat-cell *matCellDef="let row"><b>{{row.name}}</b></td>
        </ng-container>

        <!-- Exp Blueprint Column -->
        <!-- <ng-container matColumnDef="expElueprintId">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Experiment</th> -->
          <!--td mat-cell *matCellDef="let row">{{row.expBlueprintId}}</td-->
          <!-- <td fxShow.xs="false" mat-cell *matCellDef="let row">
            <tr *ngFor="let name of idToExpbId.get(row.expDescriptorId) | keyvalue"><td><a (click)="viewExpBlueprint(name.key)" style="color: black">{{name.value}}</a></td></tr>
          </td>
        </ng-container> -->

        <!-- VS Descriptor Column -->
        <!-- <ng-container matColumnDef="vsDescriptorId">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>VS Descriptor</th> -->
          <!--td mat-cell *matCellDef="let row">{{row.vsDescriptorId}}</td-->
          <!-- <td fxShow.xs="false" mat-cell *matCellDef="let row">
            <tr *ngFor="let name of idToVsdId.get(row.expDescriptorId) | keyvalue"><td><a (click)="viewVsDescriptor(name.key)" style="color: black" >{{name.value}}</a></td></tr>
          </td>
        </ng-container> -->

        <!-- Configurable Parameters Column -->
        <!-- <ng-container matColumnDef="kpi">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>KPI Thresholds</th>
          <td mat-cell *matCellDef="let row"><tr *ngFor="let param of row.kpiThresholds | keyvalue"><td>{{param.key}}:<br /> - Lower bound limit: {{param.value.lowerBound}}<br /> - UpperBoundLimit: {{param.value.upperBound}}</td></tr></td>
        </ng-container> -->

        <!-- Button Column -->
        <ng-container matColumnDef="view">
          <th mat-header-cell *matHeaderCellDef>View</th>
          <td mat-cell *matCellDef="let row">
              <span  value="view_blueprint" (click)="viewExpDescriptor(row.expDescriptorId)"><i class="fa fa-eye fa-2x" aria-hidden="true"></i></span>
              
          </td>
          </ng-container>
          <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef>Delete</th>
              <td mat-cell *matCellDef="let row">
                  <span   value="delete" (click)="deleteExpDescriptor(row.expDescriptorId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
                  </td>
              </ng-container>
              <ng-container matColumnDef="forcedelete">
                  <th mat-header-cell *matHeaderCellDef>Force delete</th>
                  <td mat-cell *matCellDef="let row">
                <span value="forcedelete_experiment" (click)="forcedeleteExpDescriptor(row.expDescriptorId)"><i class="fa fa-trash fa-2x" aria-hidden="true"></i></span>
                  <!-- </mat-button-toggle-group> -->
                  </td>
                  </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

      <mat-paginator #paginator
          [length]="dataSource?.data.length"
          [pageIndex]="0"
          [pageSize]="50"
          [pageSizeOptions]="[25, 50, 100, 250]"
          class="de-table">
      </mat-paginator>
    </div>
  </mat-tab>
  <mat-tab label="Onboard">
    <div style="padding: 30px;">
      <app-descriptors-e-stepper></app-descriptors-e-stepper>
    </div>
  </mat-tab>
</mat-tab-group>
